Subject: Re: ynl - mutiple policies for one nested attr used in multiple cmds

From: Jakub Kicinski <[email-masked]>
Date: Fri, 4 Aug 2023 12:58:16 -0700

On Fri, 4 Aug 2023 19:29:31 +0200 Jiri Pirko wrote:
> I need to have one nested attribute but according to what cmd it is used
> with, there will be different nested policy.
> 
> If I'm looking at the codes correctly, that is not currenly supported,
> correct?
> 
> If not, why idea how to format this in yaml file?

I'm not sure if you'll like it but my first choice would be to skip
the selector attribute. Put the attributes directly into the message.
There is no functional purpose the wrapping serves, right?